<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Web management</title>
<link rel="stylesheet" href="styles.css" type="text/css">
<?php include 'codes.php';?>
</head>
<body>
<?php 
$id = mysql_real_escape_string(stripslashes($_REQUEST['id']));
$page = mysql_real_escape_string(stripslashes($_REQUEST['page']));
$publisha = mysql_real_escape_string(stripslashes($_REQUEST['publisha']));	
$publishb = mysql_real_escape_string(stripslashes($_REQUEST['publishb']));
$publish = mysql_real_escape_string(stripslashes($_REQUEST['publish']));
$priority = mysql_real_escape_string(stripslashes($_REQUEST['priority']));

$sql1 = "SELECT * FROM rooms WHERE lang_id=1 ORDER BY id";
$result1 = mysql_query($sql1);
while ($myrow=mysql_fetch_array($result1)) {
$pid=$myrow['insert_id'];
			
}?>
<?php if ($pid=='') { 
$insertid=1;
$priorityid=10;
}
else {
$insertid=$pid + 1;
$priorityid=($pid + 1) * 10;
}?>

<table width="980" border="0" align="center" cellpadding="0" cellspacing="0">
  <tr>
    <td><div><img src="img/frame-add.png" width="180" height="37" alt=""></div>
<div class="frame">
<form name="forma" method="post" action="<?php echo htmlentities($_SERVER['PHP_SELF']); ?>" enctype="multipart/form-data">

<?php
$sql50 = "SELECT * FROM lang WHERE active=1 ORDER BY id";
$result50 = mysql_query($sql50);
while ($myrow=mysql_fetch_array($result50)) {
$langid=$myrow['id'];
$language=$myrow['language'];
$dir=$myrow['dir'];
?>

<?php 
if  (isset($_POST['submit'])) {

$namelang = $_REQUEST["name$langid"];
$textlang = $_REQUEST["text$langid"];

$sql = "INSERT INTO rooms (insert_id, lang_id, page, name, text, publisha, publishb, publish, priority) VALUES ('$insertid', '$langid', '$page', '$namelang', '$textlang', '$publisha', '$publishb', '$publish', '$priorityid')";
$result = mysql_query($sql);
} ?>

  <table width="100%" border="0" cellspacing="0" cellpadding="4">
    <tr>
      <td width="20"><img src="img/<?php echo $dir ?>.png" width="16" height="16" alt=""></td> 
      <td width="200">Τίτλος 
        </td>
      <td> 
        <input type="text" name="name<?php echo $langid ?>" size="100" class="forms">
        </td>
    </tr>
    <tr>
      <td><img src="img/<?php echo $dir ?>.png" width="16" height="16" alt=""></td>
      <td>Κείμενο </td>
      <td><textarea name="text<?php echo $langid ?>" rows="10" class="mceEditor"></textarea></td>
    </tr>
    </table>

<?php } ?>

<table width="100%" border="0" cellspacing="0" cellpadding="4">
  <tr>
    <td>&nbsp;</td>
    <td>Page</td>
    <td><input type="text" name="page" size="100" class="forms"></td>
  </tr>
  
    <tr>
      <td width="20">&nbsp;</td> 
      <td width="200">Εικόνα</td>
      <td>
        <input type="hidden" name="max_file_size" value="600000">
        <input name="upload" type="file" size="50" class="forms">   
        </td>
    </tr>
    <tr>
      <td>&nbsp;</td> 
      <td>Δημοσίευση στο site?</td>
      <td><select name="publish" class="forms">
        <option value="yes" selected>yes</option>
        <option value="no">no</option>
        </select></td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td>Δημοσίευση στην διαμονή?</td>
      <td><select name="publisha" class="forms">
        <option value="yes" selected>yes</option>
        <option value="no">no</option>
      </select></td>
    </tr>
    <tr>
      <td>&nbsp;</td>
      <td>Δημοσίευση στον τιμοκατάλογο?</td>
      <td><select name="publishb" class="forms">
        <option value="yes" selected>yes</option>
        <option value="no">no</option>
      </select></td>
    </tr>
    </table>
 
 <?php
       $result10 = mysql_query("SELECT * FROM rooms WHERE lang_id=1 ORDER BY id desc LIMIT 1",$dbh);
	   $myrow=mysql_fetch_array($result10); 
	   $uploadid=$myrow['insert_id'];

        $uploaddir = '../images/rooms/'; 
		$filetype = '.jpg';
		$uploadname = $uploadid . $filetype; 
		
 if (isset($_POST['submit'])){ 
        if( $_FILES['upload']['tmp_name'] != "" ){
		
        $dest = $uploaddir . $uploadname; 
        if (copy ( $_FILES['upload']['tmp_name'], $dest )){ 
		
	function createthumb($name,$filename,$new_w,$new_h){
	$system=explode('.',$name);
	if (preg_match('/jpg|jpeg/',$system[3])){
		$src_img=imagecreatefromjpeg($name);
	}
	if (preg_match('/png/',$system[3])){
		$src_img=imagecreatefrompng($name);
	}
	
$old_x=imageSX($src_img);
$old_y=imageSY($src_img);
if ($old_x > $old_y) {
	$thumb_w=$new_w;
	$thumb_h=$old_y*($new_h/$old_x);
}
if ($old_x < $old_y) {
	//$thumb_w=$old_x*($new_w/$old_y);
	//$thumb_h=$new_h;
	
	$thumb_w=$new_w;
	$thumb_h=$old_y*($new_h/$old_x);
	
}
if ($old_x == $old_y) {
	$thumb_w=$new_w;
	$thumb_h=$new_h;
}
$dst_img=ImageCreateTrueColor($thumb_w,$thumb_h);
imagecopyresampled($dst_img,$src_img,0,0,0,0,$thumb_w,$thumb_h,$old_x,$old_y); 

	
if (preg_match("/png/",$system[3]))
{
	imagepng($dst_img,$filename); 
} else {
	imagejpeg($dst_img,$filename); 
}
imagedestroy($dst_img); 
imagedestroy($src_img); 
}

  createthumb('../images/rooms/'.$uploadid.'.jpg','../images/rooms/thumbs/'.$uploadid.'.jpg',150,150);

  $sql="UPDATE rooms SET image='yes' WHERE insert_id='$uploadid'";
  $result = mysql_query($sql);         
 } } 
 
}?>
   
  <div align="center" style="padding:5px">
   <input type="submit" name="submit" value="Καταχώρηση" class="button">
   <input type="reset" name="reset" value="Επαναφορά" class="button">  
   </div>
   
</form>  

</div>
<div align="right"><a href="all-rooms.php" class="links">μεταφορά στην Λίστα</a></div></td>
  </tr>
</table><?php include 'menudown.php';?>

</body>
</html>
